Bug 2257285 - Review Request: python-cramjam - Thin Python bindings to de/compression algorithms in Rust
Summary: Review Request: python-cramjam - Thin Python bindings to de/compression algor...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Roman Inflianskas
QA Contact: Fedora Extras Quality Assurance
URL: https://github.com/milesgranger/cramjam
Whiteboard:
Depends On: 2257076
Blocks: fedora-neuro, NeuroFedora 2246802
TreeView+ depends on / blocked
 
Reported: 2024-01-08 16:05 UTC by Ben Beasley
Modified: 2024-02-23 01:31 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-02-14 13:33:34 UTC
Type: Bug
Embargoed:
rominf: fedora-review+


Attachments (Terms of Use)
The .spec file difference from Copr build 6872251 to 6940601 (1.78 KB, patch)
2024-01-22 17:04 UTC, Fedora Review Service
no flags Details | Diff
The .spec file difference from Copr build 6940601 to 6982500 (5.31 KB, patch)
2024-02-02 19:21 UTC, Fedora Review Service
no flags Details | Diff

Description Ben Beasley 2024-01-08 16:05:53 UTC
Spec URL: https://music.fedorapeople.org/python-cramjam.spec
SRPM URL: https://music.fedorapeople.org/python-cramjam-2.7.0-1.fc40.src.rpm

Description:

Thin Python bindings to de/compression algorithms in Rust.

Fedora Account System Username: music

This requires rust-libdeflate-sys (unretirement, bug 2256974), rust-libdeflater (unretirement, bug 2256975), and rust-libcramjam (bug 2257076). A COPR build is available at: https://copr.fedorainfracloud.org/coprs/music/python-cramjam/packages/

This is a dependency for current releases of python-fastavro. It will be a neuro-sig package (in addition to a rust-sig one).

Comment 1 Fedora Review Service 2024-01-08 16:08:16 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6872251
(failed)

Build log:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2257285-python-cramjam/fedora-rawhide-x86_64/06872251-python-cramjam/builder-live.log.gz

Please make sure the package builds successfully at least for Fedora Rawhide.

- If the build failed for unrelated reasons (e.g. temporary network
  unavailability), please ignore it.
- If the build failed because of missing BuildRequires, please make sure they
  are listed in the "Depends On" field


---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 2 Ben Beasley 2024-01-22 17:00:52 UTC
Updated to fix test_variants_different_dtypes[brotli] timeouts the same way upstream did in https://github.com/milesgranger/cramjam/commit/67f69027a403b51f69a6226a42785e0bff00664e, by reducing the maximum size of inputs rather than by increasing the deadline.

Spec URL: https://music.fedorapeople.org/20240122/python-cramjam.spec
SRPM URL: https://music.fedorapeople.org/20240122/python-cramjam-2.7.0-1.fc39.src.rpm

Comment 3 Ben Beasley 2024-01-22 17:01:18 UTC
Updated COPR build: https://copr.fedorainfracloud.org/coprs/music/python-cramjam/build/6940053/

Comment 4 Fedora Review Service 2024-01-22 17:04:00 UTC
Created attachment 2009710 [details]
The .spec file difference from Copr build 6872251 to 6940601

Comment 5 Fedora Review Service 2024-01-22 17:04:03 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6940601
(failed)

Build log:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2257285-python-cramjam/fedora-rawhide-x86_64/06940601-python-cramjam/builder-live.log.gz

Please make sure the package builds successfully at least for Fedora Rawhide.

- If the build failed for unrelated reasons (e.g. temporary network
  unavailability), please ignore it.
- If the build failed because of missing BuildRequires, please make sure they
  are listed in the "Depends On" field


---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 6 Ben Beasley 2024-02-01 20:49:50 UTC
Upstream released 2.8.0 and 2.8.1. These should reduce the amount of patching needed. I’ll prepare an updated submission as soon as I can.

Comment 7 Ben Beasley 2024-02-02 19:07:05 UTC
I updated this to 2.8.0. Upstream significantly reorganized the PyPI sdist, and I ended up finding it easiest to package from the GitHub source archive instead. (Unlike Rust library crates, which *must* come from crates.io, it’s very common for Python packages to use VCS archives instead of PyPI sdists, which often lack documentation and test files. In this case, I *could* have packaged from the PyPI sdist, but it would have been more annoying with no benefit.)

New Spec URL: https://music.fedorapeople.org/20240202/python-cramjam.spec
New SRPM URL: https://music.fedorapeople.org/20240202/python-cramjam-2.8.0-1.fc39.src.rpm

I’m not clearing the NEEDINFO on myself yet because I still need to update to the latest release, 2.8.1.

Comment 8 Fedora Review Service 2024-02-02 19:21:17 UTC
Created attachment 2014677 [details]
The .spec file difference from Copr build 6940601 to 6982500

Comment 9 Fedora Review Service 2024-02-02 19:21:19 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6982500
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2257285-python-cramjam/fedora-rawhide-x86_64/06982500-python-cramjam/fedora-review/review.txt

Please take a look if any issues were found.


---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 10 Ben Beasley 2024-02-02 20:25:29 UTC
“Please coordinate PyPI and crates.io releases if possible” https://github.com/milesgranger/cramjam/issues/130

Comment 11 Ben Beasley 2024-02-04 15:33:38 UTC
This is ready now! Until https://bodhi.fedoraproject.org/updates/FEDORA-2024-4081e1cbf5 is in a Rawhide compose, reviewing this could look like:

fedora-review -b 2257285 --mock-options='--enablerepo=local --dnf'

New Spec URL: https://music.fedorapeople.org/20240204/python-cramjam.spec
New SRPM URL: https://music.fedorapeople.org/20240204/python-cramjam-2.8.1-1.fc39.src.rpm

Comment 12 Ben Beasley 2024-02-04 15:34:50 UTC
[fedora-review-service-build]

Comment 13 Fedora Review Service 2024-02-05 03:12:08 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6985691
(failed)

Build log:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2257285-python-cramjam/fedora-rawhide-x86_64/06985691-python-cramjam/builder-live.log.gz

Please make sure the package builds successfully at least for Fedora Rawhide.

- If the build failed for unrelated reasons (e.g. temporary network
  unavailability), please ignore it.
- If the build failed because of missing BuildRequires, please make sure they
  are listed in the "Depends On" field


---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 14 Fedora Review Service 2024-02-05 03:12:18 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6985690
(failed)

Build log:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2257285-python-cramjam/fedora-rawhide-x86_64/06985690-python-cramjam/builder-live.log.gz

Please make sure the package builds successfully at least for Fedora Rawhide.

- If the build failed for unrelated reasons (e.g. temporary network
  unavailability), please ignore it.
- If the build failed because of missing BuildRequires, please make sure they
  are listed in the "Depends On" field


---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 15 Roman Inflianskas 2024-02-14 07:01:28 UTC
ACCEPTED

There are two minor points, feel free to skip them.

1.
I am not sure whether is fine to simplify:
```
(BSD-3-Clause AND MIT) AND BSD-3-Clause AND MIT
```
to:
```
BSD-3-Clause AND MIT
```
?

However, considering that you are aware of this, I assume I miss something and
it is OK.

2.
Spellchecker doens't like `de/compression`. I would probably add:
```
addFilter(r"spelling-error.*de")
```
to
`python-cramjam.rpmlintrc` to silence it: description is short and will
likely stay the same, so chance for missing real mistake is small.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT License", "Unknown or generated", "Creative Commons
     Attribution 3.0 and/or MIT License". 41 files have unknown license.
     Detailed output of licensecheck in
     /home/rominf/dev/fedora/review/2257285-python-cramjam/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib64/python3.12,
     /usr/lib64/python3.12/site-packages
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: The License field must be a valid SPDX expression.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 3221 bytes in 1 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[-]: Binary eggs must be removed in %prep
     Note: Cannot find any build in BUILD directory (--prebuilt option?)
[-]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-cramjam
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-cramjam-2.8.1-1.fc40.x86_64.rpm
          python-cramjam-debugsource-2.8.1-1.fc40.x86_64.rpm
          python-cramjam-2.8.1-1.fc40.src.rpm
======================================================= rpmlint session starts ======================================================
rpmlint: 2.5.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
rpmlintrc: [PosixPath('/tmp/tmpm7pn4ryc')]
checks: 32, packages: 3

python-cramjam.src: E: spelling-error ('de', 'Summary(en_US) de -> DE, ed, d')
python-cramjam.src: E: spelling-error ('de', '%description -l en_US de -> DE, ed, d')
python3-cramjam.x86_64: E: spelling-error ('de', 'Summary(en_US) de -> DE, ed, d')
python3-cramjam.x86_64: E: spelling-error ('de', '%description -l en_US de -> DE, ed, d')
================= 3 packages and 0 specfiles checked; 4 errors, 0 warnings, 11 filtered, 4 badness; has taken 0.2 s =================




Rpmlint (installed packages)
----------------------------
============================ rpmlint session starts ============================
rpmlint: 2.5.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 32, packages: 2

python3-cramjam.x86_64: E: spelling-error ('de', 'Summary(en_US) de -> DE, ed, d')
python3-cramjam.x86_64: E: spelling-error ('de', '%description -l en_US de -> DE, ed, d')
 2 packages and 0 specfiles checked; 2 errors, 0 warnings, 7 filtered, 2 badness; has taken 0.1 s 



Unversioned so-files
--------------------
python3-cramjam: /usr/lib64/python3.12/site-packages/cramjam/cramjam.cpython-312-x86_64-linux-gnu.so

Source checksums
----------------
https://github.com/milesgranger/cramjam/archive/v2.8.1/cramjam-2.8.1.tar.gz :
  CHECKSUM(SHA256) this package     : 1302e06b9906a841a6b87b1a384bd875836161d38695f2fa11b80bbf5d100012
  CHECKSUM(SHA256) upstream package : 1302e06b9906a841a6b87b1a384bd875836161d38695f2fa11b80bbf5d100012


Requires
--------
python3-cramjam (rpmlib, GLIBC filtered):
    ld-linux-x86-64.so.2()(64bit)
    libbz2.so.1()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.3)(64bit)
    libgcc_s.so.1(GCC_4.2.0)(64bit)
    liblz4.so.1()(64bit)
    liblzma.so.5()(64bit)
    liblzma.so.5(XZ_5.0)(64bit)
    libm.so.6()(64bit)
    libzstd.so.1()(64bit)
    python(abi)
    rtld(GNU_HASH)

python-cramjam-debugsource (rpmlib, GLIBC filtered):



Provides
--------
python3-cramjam:
    python-cramjam
    python3-cramjam
    python3-cramjam(x86-64)
    python3.12-cramjam
    python3.12dist(cramjam)
    python3dist(cramjam)

python-cramjam-debugsource:
    python-cramjam-debugsource
    python-cramjam-debugsource(x86-64)



Generated by fedora-review 0.10.0 (e79b66b) last change: 2023-07-24
Command line :/usr/bin/fedora-review -b 2257285
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Python
Disabled plugins: Perl, PHP, fonts, R, SugarActivity, Java, Haskell, Ocaml, C/C++
Disabled flags: EXARCH, EPEL6, EPEL7, DISTTAG, BATCH

Comment 16 Ben Beasley 2024-02-14 12:59:23 UTC
(In reply to Roman Inflianskas from comment #15)
> ACCEPTED

Thank you very much for the review!

> There are two minor points, feel free to skip them.
> 
> 1.
> I am not sure whether is fine to simplify:
> ```
> (BSD-3-Clause AND MIT) AND BSD-3-Clause AND MIT
> ```
> to:
> ```
> BSD-3-Clause AND MIT
> ```
> ?
> 
> However, considering that you are aware of this, I assume I miss something
> and
> it is OK.

This is kind of indirectly addressed in https://docs.fedoraproject.org/en-US/legal/license-field/#_special_rules_for_or_expressions:

“A license should normally appear only once in the License: tag license expression. But if the license expression includes an OR sub-expression, that OR sub-expression is treated as though it were a single license for purposes of this rule.”

Since (BSD-3-Clause AND MIT) is a conjunctive/AND expression, we can discard the grouping to get “BSD-3-Clause AND MIT AND BSD-3-Clause AND MIT” and then de-duplicate.

> 
> 2.
> Spellchecker doens't like `de/compression`. I would probably add:
> ```
> addFilter(r"spelling-error.*de")
> ```
> to
> `python-cramjam.rpmlintrc` to silence it: description is short and will
> likely stay the same, so chance for missing real mistake is small.

I used to try to keep clean rpmlint output for my packages using rpmlintrc files, but abandoned the practice in the rpmlint 1.x-2.x transition. It’s worth trying it again, I guess. I’ll try the suggested filter and see if it works as expected.

Comment 17 Fedora Admin user for bugzilla script actions 2024-02-14 13:00:02 UTC
The Pagure repository was created at https://src.fedoraproject.org/rpms/python-cramjam

Comment 18 Fedora Update System 2024-02-14 13:30:59 UTC
FEDORA-2024-361bcdcae4 (python-cramjam-2.8.1-1.fc41) has been submitted as an update to Fedora 41.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-361bcdcae4

Comment 19 Fedora Update System 2024-02-14 13:33:34 UTC
FEDORA-2024-361bcdcae4 (python-cramjam-2.8.1-1.fc41) has been pushed to the Fedora 41 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 20 Roman Inflianskas 2024-02-14 16:39:14 UTC
(In reply to Ben Beasley from comment #16)
> (In reply to Roman Inflianskas from comment #15)
> > ACCEPTED
> 
> Thank you very much for the review!

You are welcome!

> > There are two minor points, feel free to skip them.
> > 
> > 1.
> > I am not sure whether is fine to simplify:
> > ```
> > (BSD-3-Clause AND MIT) AND BSD-3-Clause AND MIT
> > ```
> > to:
> > ```
> > BSD-3-Clause AND MIT
> > ```
> > ?
> > 
> > However, considering that you are aware of this, I assume I miss something
> > and
> > it is OK.
> 
> This is kind of indirectly addressed in
> https://docs.fedoraproject.org/en-US/legal/license-field/
> #_special_rules_for_or_expressions:
> 
> “A license should normally appear only once in the License: tag license
> expression. But if the license expression includes an OR sub-expression,
> that OR sub-expression is treated as though it were a single license for
> purposes of this rule.”
> 
> Since (BSD-3-Clause AND MIT) is a conjunctive/AND expression, we can discard
> the grouping to get “BSD-3-Clause AND MIT AND BSD-3-Clause AND MIT” and then
> de-duplicate.

Thanks for explanation!

> > 
> > 2.
> > Spellchecker doens't like `de/compression`. I would probably add:
> > ```
> > addFilter(r"spelling-error.*de")
> > ```
> > to
> > `python-cramjam.rpmlintrc` to silence it: description is short and will
> > likely stay the same, so chance for missing real mistake is small.
> 
> I used to try to keep clean rpmlint output for my packages using rpmlintrc
> files, but abandoned the practice in the rpmlint 1.x-2.x transition. It’s
> worth trying it again, I guess. I’ll try the suggested filter and see if it
> works as expected.

:+1

I am co-maintainer of python-aiokafka (https://src.fedoraproject.org/rpms/python-aiokafka) and I am actively working on refreshing it. The last missing piece is to add support for compression by packaging extras on all supported Fedora versions. Extras depend on python-cramjam: https://github.com/aio-libs/aiokafka/blob/bb15ecfb4c85026b2bded912ab7ba7c7e1db3271/pyproject.toml#L36. I checked that python-cramjam builds on all supported Fedora versions. Could you please create a new-package update for Fedora 38-40? I am ready to do it myself, if you add me as co-maintainer.

Comment 21 Fedora Update System 2024-02-14 16:42:12 UTC
FEDORA-2024-6cca6fb603 (python-cramjam-2.8.1-1.fc39 and python-fastavro-1.9.4-1.fc39) has been submitted as an update to Fedora 39.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-6cca6fb603

Comment 22 Ben Beasley 2024-02-14 16:55:25 UTC
(In reply to Roman Inflianskas from comment #20)
> :+1
> 
> I am co-maintainer of python-aiokafka
> (https://src.fedoraproject.org/rpms/python-aiokafka) and I am actively
> working on refreshing it. The last missing piece is to add support for
> compression by packaging extras on all supported Fedora versions. Extras
> depend on python-cramjam:
> https://github.com/aio-libs/aiokafka/blob/
> bb15ecfb4c85026b2bded912ab7ba7c7e1db3271/pyproject.toml#L36. I checked that
> python-cramjam builds on all supported Fedora versions. Could you please
> create a new-package update for Fedora 38-40? I am ready to do it myself, if
> you add me as co-maintainer.

I have added you as co-maintainer, but:

- F40 must wait until https://pagure.io/releng/issue/11948 is resolved and I am able to request the branch.
- I already made an update for F39, https://bodhi.fedoraproject.org/updates/FEDORA-2024-6cca6fb603; however, if you build your package into the side tag f39-build-side-83632 and let me know, I can add it to the existing update.
- Same for F38 as F39, only the side tag is f38-build-side-83644 and I haven’t created the update yet. Use koji wait-repo f38-build-side-83644 --build=python-cramjam-2.8.1-1.fc38, and then you can build into the side tag too.

Comment 23 Ben Beasley 2024-02-14 16:58:28 UTC
BTW, if you try to build this for EPEL9, you’ll see that it needs rust-libcramjam to be branched for EPEL9, but the real blocker is that maturin is not packaged for EPEL9. My understanding is that there isn’t a serious plan to do that, although it might be possible if it becomes important for enough things.

Comment 24 Fedora Update System 2024-02-14 17:40:31 UTC
FEDORA-2024-7c670ce3a9 (python-cramjam-2.8.1-1.fc38 and python-fastavro-1.9.4-1.fc38) has been submitted as an update to Fedora 38.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-7c670ce3a9

Comment 25 Roman Inflianskas 2024-02-14 17:55:21 UTC
(In reply to Ben Beasley from comment #22)
> I have added you as co-maintainer, but:
> 
> - F40 must wait until https://pagure.io/releng/issue/11948 is resolved and I
> am able to request the branch.
> - I already made an update for F39,
> https://bodhi.fedoraproject.org/updates/FEDORA-2024-6cca6fb603; however, if
> you build your package into the side tag f39-build-side-83632 and let me
> know, I can add it to the existing update.
> - Same for F38 as F39, only the side tag is f38-build-side-83644 and I
> haven’t created the update yet. Use koji wait-repo f38-build-side-83644
> --build=python-cramjam-2.8.1-1.fc38, and then you can build into the side
> tag too.

Thank you! I will check F38 and F39 updates tomorrow and vote.

Comment 26 Ben Beasley 2024-02-14 19:13:45 UTC
(In reply to Ben Beasley from comment #22)
> - F40 must wait until https://pagure.io/releng/issue/11948 is resolved and I
> am able to request the branch.

The issue with requesting F40 branches is fixed, so python-cramjam is now building in F40.

Comment 27 Fedora Update System 2024-02-14 19:22:31 UTC
FEDORA-2024-a40c0826b8 (python-cramjam-2.8.1-1.fc40) has been submitted as an update to Fedora 40.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-a40c0826b8

Comment 28 Fedora Update System 2024-02-14 19:59:19 UTC
FEDORA-2024-a40c0826b8 (python-cramjam-2.8.1-1.fc40) has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 29 Fedora Update System 2024-02-15 01:37:16 UTC
FEDORA-2024-6cca6fb603 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-6cca6fb603`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-6cca6fb603

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 30 Fedora Update System 2024-02-15 01:53:09 UTC
FEDORA-2024-7c670ce3a9 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-7c670ce3a9`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-7c670ce3a9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 31 Fedora Update System 2024-02-23 01:24:01 UTC
FEDORA-2024-6cca6fb603 (python-cramjam-2.8.1-1.fc39 and python-fastavro-1.9.4-1.fc39) has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 32 Fedora Update System 2024-02-23 01:31:55 UTC
FEDORA-2024-7c670ce3a9 (python-cramjam-2.8.1-1.fc38 and python-fastavro-1.9.4-1.fc38) has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.